### Virtual Method

# Ide SessionAddin save_page_finish

#### Declaration

    GVariant*
    save_page_finish (
      IdeSessionAddin* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to save a page’s session state.

The resulting `GVariant` will be used to restore the page’s state at a future time. It is highly recommended to store the state as a vardict in the result variant, as it’s much more easy to expand the state later and to handle migrations if needed. See also ide_session_addin_save_page_async().

Available since: | 41

#### Parameters

`result` | `GAsyncResult`
| No description available.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GVariant`
| A `GVariant` or `NULL` if an error prevented from saving the page.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.